Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029292
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 07. Sales managementmajoralways2015-03-06 13:332015-03-18 11:42
ReporterVictorVillarView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision49224a255b7e
ProjectionnoneETAnoneTarget Version3.0PR14Q3.8
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-04-15
Regression introduced in release3.0PR14Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/e367e4ce1f9852519224ff1ec15553f5759a3011 [^]
Triggers an Emergency PackNo
Summary

0029292: The sales order is not taking into account the unit price of the product when is 0

DescriptionThe sales order is not taking into account the unit price of the product when is 0
Steps To ReproduceAs group admin role,
 Go to Product window,
   select Agua Sin gas
     change the Unit Price to 0 for Tarifa de ventas

Go to Sales Order
  Create a new register for Alimentos y Supermercados
  Price List: Tarifa de ventas
 Go to Lines tab:
   select Agua Sin gas
Realise that the Unit Price of the line is 1.53, which is the List Price of the product, and this priority only happens when the Unit Price of the Product is 0.
Proposed SolutionThe product team should analyse why only in this case is not taking into account the unit price as first value to fill.
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00291713.0PR15Q2 closedAtulOpenbravo The sales order is not taking into account the unit price of the product when is 0 

-  Notes
(0075729)
hgbot (developer)
2015-03-18 11:41

Repository: erp/backports/3.0PR14Q3.8
Changeset: 49224a255b7e5c55a2e421193170c5677695892c
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Mar 16 00:07:30 2015 +0530
URL: http://code.openbravo.com/erp/backports/3.0PR14Q3.8/rev/49224a255b7e5c55a2e421193170c5677695892c [^]

Fixes Issue 29292:The sales order is not taking into account the unit price of
the product when is 0

Corner case regression, when ever unit price is set to zero in the price list

---
M src/org/openbravo/erpCommon/ad_callouts/SL_Order_Amt.java
M src/org/openbravo/erpCommon/businessUtility/PriceAdjustment.java
---
(0075730)
hgbot (developer)
2015-03-18 11:41

Repository: erp/backports/3.0PR14Q3.8
Changeset: 330367726133cc55a5006d80c2d253fa4f97ef42
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Mar 16 16:35:31 2015 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR14Q3.8/rev/330367726133cc55a5006d80c2d253fa4f97ef42 [^]

Related to issue 29292: Update copyright

---
M src/org/openbravo/erpCommon/ad_callouts/SL_Order_Amt.java
M src/org/openbravo/erpCommon/businessUtility/PriceAdjustment.java
---
(0075731)
aferraz (developer)
2015-03-18 11:42

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2015-03-16 16:39 aferraz Type defect => backport
2015-03-16 16:39 aferraz Target Version 3.0PR15Q3 => 3.0PR14Q3.8
2015-03-17 11:10 dmitry_mezentsev Tag Attached: Approved
2015-03-18 11:41 hgbot Checkin
2015-03-18 11:41 hgbot Note Added: 0075729
2015-03-18 11:41 hgbot Status scheduled => resolved
2015-03-18 11:41 hgbot Resolution open => fixed
2015-03-18 11:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/33329a8720b25c84660e83f7e8d033eab3684de1 [^] => http://code.openbravo.com/erp/backports/3.0PR14Q3.8/rev/49224a255b7e5c55a2e421193170c5677695892c [^]
2015-03-18 11:41 hgbot Checkin
2015-03-18 11:41 hgbot Note Added: 0075730
2015-03-18 11:42 aferraz Review Assigned To => aferraz
2015-03-18 11:42 aferraz Note Added: 0075731
2015-03-18 11:42 aferraz Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker